Bug 187715 - Scanning is taking way toooooooo long and even closing the project doesn't stop the IDE from scanning.
Scanning is taking way toooooooo long and even closing the project doesn't st...
Status: RESOLVED WONTFIX
Product: php
Classification: Unclassified
Component: Editor
6.x
PC Windows 7 x64
: P3 with 1 vote (vote)
: 7.1
Assigned To: Petr Pisl
issues@php
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-17 10:01 UTC by compojoom
Modified: 2011-11-01 14:30 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
several minutes scan dump (43.57 KB, application/octet-stream)
2010-06-17 10:02 UTC, compojoom
Details
another scan dump (115.68 KB, application/octet-stream)
2010-06-17 10:04 UTC, compojoom
Details
This dump is taken while refreshing a folder with js files - around 80MB big (224.36 KB, application/octet-stream)
2010-06-30 08:50 UTC, compojoom
Details
21 000 files - 100MB project - 20 minutes scan (369.89 KB, application/octet-stream)
2010-06-30 13:44 UTC, compojoom
Details

Note You need to log in before you can comment on or make changes to this bug.
Description compojoom 2010-06-17 10:01:49 UTC
Product Version = NetBeans IDE 6.9 (Build 201006101454)
Operating System = Windows 7 version 6.1 running on x86
Java; VM; Vendor = 1.6.0_19
Runtime = Java HotSpot(TM) Client VM 16.2-b04
Comment 1 compojoom 2010-06-17 10:02:57 UTC
Created attachment 100160 [details]
several minutes scan dump
Comment 2 compojoom 2010-06-17 10:04:06 UTC
Created attachment 100161 [details]
another scan dump
Comment 3 Tomas Pavek 2010-06-17 11:47:47 UTC
Scanning not stopped on project close is a known problem - bug 177511 or bug 165093.

As for the scanning itself, according to the attached snapshots, most of time is just in crawling the project content, i.e. spent in file system calls to collect files and folders, nothing else significant. E.g. in the second snapshot that has 4 minutes, about 3 minutes are spent only in WinNTFileSystem.getBooleanAttributes.

How big is your project? For thousands of file it may take significant time to go through all of them, especially for the first time.
Comment 4 Tomas Mysik 2010-06-17 12:46:19 UTC
(In reply to comment #3)
> collect files and folders, nothing else significant. E.g. in the second
> snapshot that has 4 minutes, about 3 minutes are spent only in
> WinNTFileSystem.getBooleanAttributes.

AFAIK nothing fixable on NetBeans' site, it really seems that the FS has been very active. One idea - don't you have any ZIP file on your desktop? There used to be (or still is?) a bug in JDK which causes this method to be very slow I think...
Comment 5 compojoom 2010-06-17 15:37:13 UTC
Well it is a joomla installation - around 8000 files. I have some small zip files in it - from 1 to 2MB - around 10 files or so.
Comment 6 compojoom 2010-06-30 08:50:18 UTC
Created attachment 100511 [details]
This dump is taken while refreshing a folder with js files - around 80MB big
Comment 7 compojoom 2010-06-30 13:44:12 UTC
Created attachment 100522 [details]
21 000 files - 100MB project - 20 minutes scan
Comment 8 Filip Zamboj 2010-09-15 12:31:55 UTC
batch reassigning
Comment 9 ayermolayev 2011-01-06 18:46:22 UTC
The point is that if scanning is inevitable, it should not put the IDE into a completely unusable state.
Comment 10 Petr Pisl 2011-11-01 14:30:58 UTC
According the dump of refreshing a folder with js, the bulk time (57 seconds) is spent in getBooleanAttribute, which is native method. This native listener was corrected and one of the fix should also increase speed of this. 

I'm losing this issue as wontfix, because the listener was changed and should now work better.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo